import { KsVariable } from './variable';
import { KsParameter } from './parameter';
import { KsFunction } from './function';
import { KsSuffix } from './suffix';
import { KsLock } from './lock';
/**
 * Check if the symbol is a variable
 * @param symbol symbol to check
 */
export declare const isVariable: (symbol: KsVariable | KsFunction | KsLock | KsParameter | KsSuffix) => symbol is KsVariable;
/**
 * Check if the symbol is a parameter
 * @param symbol symbol to check
 */
export declare const isParameter: (symbol: KsVariable | KsFunction | KsLock | KsParameter | KsSuffix) => symbol is KsParameter;
/**
 * Check if the symbol is a function
 * @param symbol symbol to check
 */
export declare const isFunction: (symbol: KsVariable | KsFunction | KsLock | KsParameter | KsSuffix) => symbol is KsFunction;
/**
 * Check if the symbol is a lock
 * @param symbol symbol to check
 */
export declare const isLock: (symbol: KsVariable | KsFunction | KsLock | KsParameter | KsSuffix) => symbol is KsLock;
/**
 * Check if the symbol is a suffix
 * @param symbol symbol to check
 */
export declare const isSuffix: (symbol: KsVariable | KsFunction | KsLock | KsParameter | KsSuffix) => symbol is KsSuffix;
