import { ArgumentType } from './types/types';
import { OperatorKind } from './types';
export declare class Operator {
    /**
     * What operator kind associated with this operator
     */
    readonly operator: OperatorKind;
    /**
     * What is the other operand for this operator
     */
    readonly otherOperand?: ArgumentType;
    /**
     * What is the return type of this operator
     */
    readonly returnType: ArgumentType;
    /**
     * Construct and instance of an operator
     * @param operator what is the operator kind
     * @param otherOperand what else need to appear in this operation
     * @param returnType what is the return type of this operation
     */
    constructor(operator: OperatorKind, returnType: ArgumentType, otherOperand?: ArgumentType);
    /**
     * Is the operator a unary operator
     */
    isUnary(): boolean;
}
